Pipeline Model & Pipeline API
Upload and manage models and materials, schedule tasks and pipeline runs (formerly Aura 3D™ Model & Pipeline API).
v1.0.0Download aura-model-pipeline-api.yml
Upload & manage models, materials – schedule tasks and pipeline runs.
Servers
https://api.aura3d.io/v1Production Aura 3D™ APIhttps://www.vuframe.studio/api/aura/v1Studio-internal API endpointhttps://virtserver.swaggerhub.com/Vuframe/Aura2/1.0SwaggerHub API Auto Mocking
Endpoints
- Workspaces
- Models
- Model processing
- Model formats
- Uploads
- GET
/workspaces/{workspace_token}/uploads/retrieves all uploads in the specified workspace - POST
/workspaces/{workspace_token}/uploads/creates a new upload - GET
/workspaces/{workspace_token}/uploads/{upload_token}retrieves the upload details of the specified upload - POST
/workspaces/{workspace_token}/uploads/{upload_token}/complete/completes the upload
- GET
- Textures
- Materials
- Pipelines
- Tasks
- Pipeline runs
- Actions
Workspaces
access to the user's workspaces
retrieve all workspaces of the authenticated user
GET/workspaces/
Responses
200success
Content type application/json
| Field | Type | Description |
|---|---|---|
test | string | test |
Example
{
"test": "string"
}Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/"retrieve the details for the specified workspace
GET/workspaces/{workspace_token}
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}"Models
access to the user's models
retrieve all models
GET/workspaces/{workspace_token}/models/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}/models/"retrieve the details for a specific model
GET/workspaces/{workspace_token}/models/{token}
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}/models/{token}"update a specific model
PATCH/workspaces/{workspace_token}/models/{token}
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X PATCH "https://api.aura3d.io/v1/workspaces/{workspace_token}/models/{token}"Model processing
processing of models
retrieve the tasks for the model
GET/workspaces/{workspace_token}/models/{token}/tasks/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}/models/{token}/tasks/"retrieve the pipeline runs for the model
GET/workspaces/{workspace_token}/models/{token}/runs/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}/models/{token}/runs/"Model formats
retrieve the available formats for a model
GET/workspaces/{workspace_token}/models/{token}/formats
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}/models/{token}/formats"Uploads
retrieves all uploads in the specified workspace
GET/workspaces/{workspace_token}/uploads/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}/uploads/"creates a new upload
POST/workspaces/{workspace_token}/uploads/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X POST "https://api.aura3d.io/v1/workspaces/{workspace_token}/uploads/"retrieves the upload details of the specified upload
GET/workspaces/{workspace_token}/uploads/{upload_token}
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
upload_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}/uploads/{upload_token}"completes the upload
POST/workspaces/{workspace_token}/uploads/{upload_token}/complete/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
upload_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X POST "https://api.aura3d.io/v1/workspaces/{workspace_token}/uploads/{upload_token}/complete/"Textures
retrieves all textures in the workspace
GET/workspaces/{workspace_token}/textures/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}/textures/"creates a new texture in the workspace
POST/workspaces/{workspace_token}/textures/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X POST "https://api.aura3d.io/v1/workspaces/{workspace_token}/textures/"updates a texture in the workspace
PATCH/workspaces/{workspace_token}/textures/{texture_token}/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
texture_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X PATCH "https://api.aura3d.io/v1/workspaces/{workspace_token}/textures/{texture_token}/"Materials
retrieves all materials in the workspace
GET/workspaces/{workspace_token}/materials/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}/materials/"creates a new material in the workspace
POST/workspaces/{workspace_token}/materials/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X POST "https://api.aura3d.io/v1/workspaces/{workspace_token}/materials/"updates a material in the workspace
PATCH/workspaces/{workspace_token}/materials/{material_token}/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
material_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X PATCH "https://api.aura3d.io/v1/workspaces/{workspace_token}/materials/{material_token}/"Pipelines
retrieves all pipeline definitions in the workspace
GET/workspaces/{workspace_token}/pipelines/
Path parameters
| Name | Type | Description |
|---|---|---|
workspace_tokenrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/workspaces/{workspace_token}/pipelines/"Tasks
get all tasks
GET/pipeline/tasks/
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/pipeline/tasks/"create a new task
POST/pipeline/tasks/
Responses
200success
No body.
Example request
curl -X POST "https://api.aura3d.io/v1/pipeline/tasks/"get the details of the task with id
GET/pipeline/tasks/{id}/
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/pipeline/tasks/{id}/"Pipeline runs
get all pipeline runs
GET/pipeline/runs/
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/pipeline/runs/"get the details of the run with id
GET/pipeline/runs/{id}/
Path parameters
| Name | Type | Description |
|---|---|---|
idrequired | string | the token identifying the workspace |
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/pipeline/runs/{id}/"Actions
list all available actions
GET/pipeline/actions/
Responses
200success
No body.
Example request
curl -X GET "https://api.aura3d.io/v1/pipeline/actions/"